# CPA、CPS事件上报

## 前言

CPA 、CPS是⼀种⾼级的出价⽅式，您可以在DSP平台中为指定⼴告计划类型的每次转化⽀付⾦额，即每次转化费⽤ (CPA/CPS)。转化是您 希望通过⼴告在⽹站上发⽣的特定转化操作：通常是销售，但也可能平台的注册，  app下载，  app安装或者任意⾃定义事件。

如果您要使⽤CPA 、CPS这种⾼级出价⽅式，您必须在满⾜⼴告转化条件之后，向平台上包对应的转化事件，这有助于优化您的⼴告持续 转化。同时也会提升您的账号等级，⾼等级的账号也有助于您的⼴告曝光转化。

## 跟踪转化的不同⽅法举例

当您的⼴告计划选择了CPA 、CPS中的任意⼀种时，您需要根据您预设的转化类型，进⾏验证上报，在⼴告转化时，我们的SDK会携带⾜够 上报，验证的参数，供您验证⼴告转化结果。

| 如果您想跟踪                        | 您需要                                                                                                       |
| ----------------------------- | --------------------------------------------------------------------------------------------------------- |
| ⽹站上的购买、平台注册， app下载或安装、⾃定义事 件等 | 1.选择对应的事件，绑定在⼴告计划上 2.当⼴告发⽣转化时，您需要向平台上报事件，上报事件名称需 要与您⼴告计划上绑定的事件名称⼀致。  (CPS⽀持buy事件，  CPA⽀持注册，下载，安装，⾃定义等事 件) |

## 事件上报请求URL

{% embed url="<https://orpc.statics3.com/p.gif>" %}

## 请求⽅式

GET

## header设置

<table data-header-hidden><thead><tr><th width="164"></th><th width="90"></th><th width="93"></th><th></th></tr></thead><tbody><tr><td>参数名</td><td>必填</td><td>类型</td><td>示例</td></tr><tr><td>content-Type</td><td>是</td><td>string</td><td>application/json</td></tr><tr><td>client</td><td>是</td><td>string</td><td>客户端类型:web,h5,iphone,android</td></tr><tr><td>user-agent</td><td>是</td><td>string</td><td>Dalvik/2.1.0 (Linux; U; Android 11; V2115A Build/RP1A.200720.012)</td></tr><tr><td>ader-id</td><td>是</td><td>string</td><td>您的dsp账号id</td></tr></tbody></table>

## 请求参数

<table data-header-hidden><thead><tr><th width="147"></th><th width="94"></th><th width="80"></th><th></th><th></th></tr></thead><tbody><tr><td>参数名</td><td>必  填</td><td><p> </p><p>类型</p></td><td><p> </p><p>说明</p></td><td><p> </p><p>示例</p></td></tr><tr><td><p> </p><p>event</p></td><td><p> </p><p>是</p></td><td><p> </p><p>string</p></td><td>事件名称：【系统预设】  register、    download 、install、buy、⽀持⾃定义</td><td><p> </p><p>register</p></td></tr><tr><td>unique_id</td><td>是</td><td>string</td><td>⽤户唯⼀标识(每次上报值需要唯⼀)</td><td>1s7sdNUsa</td></tr><tr><td>event_time</td><td>是</td><td>int</td><td>事件时间戳(事件发⽣时间)</td><td>1586534400</td></tr><tr><td><p> </p><p>transaction_id</p></td><td><p> </p><p>是</p></td><td><p> </p><p>string</p></td><td>交易hashId  (即⼴告请求接⼝返回的id)</td><td>4C4345654C2E4470958F6B8C9088EB0F-            64082d23dcc50-63a573861ac5f-pjpd7aazwgm60</td></tr></tbody></table>

## 请求示例

curl  -H  "content -Type:application/json"  -H  "client:iphone"  -H  "user -agent:Dalvik/2 .1 .0  (Linux;  U;  Android  11; V2115A  Build/RP1A .200720 .012)"  -H  "ader -id:63a573861asaw"  https ://orpc .statics3 .com/p .gif?

event=install\&unique\_id=1s7sdNUsa\&event\_time=1586534400\&transaction\_id=4C4345654C2E4470958F6B8C9088EB0F -

64082d23dcc50 -63a573861ac5f -pjpd7aazwgm60

## 返回结果

http响应code为200表示成功

## 错误结果

http响应code不为200均作为失败处理


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adx3.io/copy-of-cn/jie-kou-wen-dang/cpacps-shi-jian-shang-bao.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
